//////////////////////////////////////////////////////////////////////////
//
//                              CH Web Analyzer 2.0
//
//
//////////////////////////////////////////////////////////////////////////

// Insert URL path of directory that exit "chweblog.exe" file.
// Do not write "/" at end

SCRIPT_URL = 'http://stats.carstereo.com/webanalyzer';

siteReferrer = new Array(); // Don't modify this

// Insert domain that you use

siteReferrer[0] = "carstereo.com";
siteReferrer[1] = "www.carstereo.com";
//siteReferrer[2] = "";
//siteReferrer[3] = "";
//siteReferrer[4] = "";

/////////////////////////////////////////////////////////////////////////
// Don't modify under line

window.status = ' ';

if (typeof(window.top.document) != "unknown")
    Referrer = window.top.document.referrer;
else
    Referrer = document.referrer;

Referrer = Referrer.replace (/[&]/g, ';');
lastDate = null;
uniqueUser = null;

function get_cookie (name)
{
  var arg = name + "=";
  var arg_len = arg.length;
  var cookie_len = document.cookie.length;
  var i = 0;

  while (i < cookie_len) {
    var j = i + arg_len;

    if (document.cookie.substring(i, j) == arg)
      return get_cookie_val(j);

    i = document.cookie.indexOf(" ", i) + 1;
    if (i == 0) break;
  }

  return null;
}

function set_cookie (name, value, expDays, rootpath, sitedomain)
{
  var argv = set_cookie.arguments;
  var argc = set_cookie.arguments.length;

  var expires = (argc > 2) ? argv[2] : null;
  var path    = (argc > 3) ? argv[3] : null;
  var domain  = (argc > 4) ? argv[4] : null;
  var secure  = (argc > 5) ? argv[5] : false;

  document.cookie = name + "=" + escape (value) +
    ((expires == null) ? "" : ("; expires=" + expires.toGMTString())) +
    ((path    == null) ? "" : ("; path=" + path)) +
    ((domain  == null) ? "" : ("; domain=" + domain)) +
    ((secure  == true) ? "; secure" : "");
}

function remove_cookie (name)
{
  var exp = new Date();
  exp.setTime (exp.getTime() - 1);
  var cval = get_cookie (name);
  document.cookie = name + "=" + cval + "; expires=" + exp.toGMTString();
}

function set_datetime (expDays)
{
  var expDate = new Date();
  expDate.setTime(expDate.getTime() + (86400 * 1000 * expDays));

  return expDate;
}

function set_site_cookie (name, content, expires, path)
{
  var emp = 0;
  var j = siteReferrer.length;

  for (i=0; i<j; i++) {
    if (siteReferrer[i])
      set_cookie(name, content, expires, path, siteReferrer[i]);
    else
      emp = 1;
  }

  if (!j || emp) set_cookie(name, content, expires, path);
}

function cookie_init ()
{
  var count = get_cookie('chwlaz');
  var unique = get_cookie('chwlazq');

  if (unique == null) {
    uniqueUser = 1;
    var utime = new Date();
    utime.setHours(23);
    utime.setMinutes(59);
    utime.setSeconds(59);
    utime.setMilliseconds(999);

    set_site_cookie('chwlazq', 1, utime, "/");
  }
  else
    uniqueUser = 0;

  if (count == null) {
    var ftime = new Date();
    set_site_cookie('chwlaz', ftime.getTime(), set_datetime(365), "/");
  }
  else {
    var found = 0;
    var ctime = new Date();

    for (var i=0; i < siteReferrer.length; i++) {
      var domain = siteReferrer[i];
      var reg = new RegExp("^http:\/\/([a-zA-Z0-9]+\.)?" + domain, "ig");

      if (Referrer && reg.test(Referrer)) {
        found = 1;
        break;
      }
    }

    if (found)
        lastDate = -1;
    else
      lastDate = get_cookie('chwlaz');

    remove_cookie('chwlaz');
    set_site_cookie('chwlaz', ctime.getTime(), set_datetime(365), "/");
  }
}

function get_cookie_val (offset)
{
  var endstr = document.cookie.indexOf (";", offset);
  if (endstr == -1)
    endstr = document.cookie.length;
  return unescape(document.cookie.substring(offset, endstr));
}

function language ()
{
  var language;

  if (navigator.appName == 'Netscape')
    var bname = navigator.language;
  else
    var bname = navigator.browserLanguage;

  bname = bname.toLowerCase();

  if (bname.substr(0,2) == "ko")
    language = 'Korean / Korea';
  else if (bname.substr(0,2) == "af")
    language = 'Afrikaans';
  else if (bname.substr(0,2) == "ar") {
    if (bname.substr(3,2) == "ae")
      language = 'Arabic / United Arab Emirates';
    else if (bname.substr(3,2) == "bh")
      language = 'Arabic / Bahrain';
    else if (bname.substr(3,2) == "eg")
      language = 'Arabic / Egypt';
    else if (bname.substr(3,2) == "dz")
      language = 'Arabic / Algeria';
    else if (bname.substr(3,2) == "iq")
      language = 'Arabic / Iraq';
    else if (bname.substr(3,2) == "jo")
      language = 'Arabic / Jordan';
    else if (bname.substr(3,2) == "kw")
      language = 'Arabic / Kuwait';
    else if (bname.substr(3,2) == "lb")
      language = 'Arabic / Lebanon';
    else if (bname.substr(3,2) == "ly")
      language = 'Arabic / Libya';
    else if (bname.substr(3,2) == "ma")
      language = 'Arabic / Morocco';
    else if (bname.substr(3,2) == "om")
      language = 'Arabic / Oman';
    else if (bname.substr(3,2) == "qa")
      language = 'Arabic / Qatar';
    else if (bname.substr(3,2) == "sa")
      language = 'Arabic / Saudi Arabia';
    else if (bname.substr(3,2) == "sy")
      language = 'Arabic / Syria';
    else if (bname.substr(3,2) == "tn")
      language = 'Arabic / Tunisia';
    else if (bname.substr(3,2) == "ye")
      language = 'Arabic / Yemen';
    else
      language = 'Arabic';
  }
  else if (bname.substr(0,2) == "be")
    language = 'Belarusian';
  else if (bname.substr(0,2) == "bg")
    language = 'Bulgarian';
  else if (bname.substr(0,2) == "ca")
    language = 'Catalan';
  else if (bname.substr(0,2) == "cs")
    language = 'Czech';
  else if (bname.substr(0,2) == "da")
    language = 'Danish';
  else if (bname.substr(0,2) == "de") {
    if (bname.substr(3,2) == "at")
      language = 'German / Austria';
    else if (bname.substr(3,2) == "ch")
      language = 'German / Switzerland';
    else if (bname.substr(3,2) == "li")
      language = 'German / Liechtenstein';
    else if (bname.substr(3,2) == "lu")
      language = 'German / Luxembourg';
    else
      language = 'German / Germany';
  }
  else if (bname.substr(0,2) == "el")
    language = 'Greek / Greece';
  else if (bname.substr(0,2) == "en") {
    if (bname.substr(3,2) == "us")
      language = 'English / United States';
    else if (bname.substr(3,2) == "au")
      language = 'English / Austrailia';
    else if (bname.substr(3,2) == "bz")
      language = 'English / Belize';
    else if (bname.substr(3,2) == "ca")
      language = 'English / Canada';
    else if (bname.substr(3,2) == "gb")
      language = 'English / Great Britain';
    else if (bname.substr(3,2) == "ie")
      language = 'English / Ireland';
    else if (bname.substr(3,2) == "jm")
      language = 'English / Jamaica';
    else if (bname.substr(3,2) == "nz")
      language = 'English / New Zealand';
    else if (bname.substr(3,2) == "tt")
      language = 'English / Trinidad';
    else if (bname.substr(3,2) == "za")
      language = 'English / South Africa';
    else
      language = 'English';
  }
  else if (bname.substr(0,2) == "es") {
    if (bname.substr(3,2) == "ar")
      language = 'Spanish / Argentina';
    else if (bname.substr(3,2) == "bo")
      language = 'Spanish / Bolivia';
    else if (bname.substr(3,2) == "cl")
      language = 'Spanish / Chile';
    else if (bname.substr(3,2) == "co")
      language = 'Spanish / Colombia';
    else if (bname.substr(3,2) == "cr")
      language = 'Spanish / Costa Rica';
    else if (bname.substr(3,2) == "do")
      language = 'Spanish / Dominican Republic';
    else if (bname.substr(3,2) == "ec")
      language = 'Spanish / Ecuador';
    else if (bname.substr(3,2) == "gt")
      language = 'Spanish / Guatemala';
    else if (bname.substr(3,2) == "hn")
      language = 'Spanish / Honduras';
    else if (bname.substr(3,2) == "mx")
      language = 'Spanish / Mexico';
    else if (bname.substr(3,2) == "ni")
      language = 'Spanish / Nicaragua';
    else if (bname.substr(3,2) == "pa")
      language = 'Spanish / Panama';
    else if (bname.substr(3,2) == "pe")
      language = 'Spanish / Peru';
    else if (bname.substr(3,2) == "pr")
      language = 'Spanish / Puerto Rico';
    else if (bname.substr(3,2) == "py")
      language = 'Spanish / Paraguay';
    else if (bname.substr(3,2) == "sv")
      language = 'Spanish / El Salvador';
    else if (bname.substr(3,2) == "uy")
      language = 'Spanish / Uruguay';
    else if (bname.substr(3,2) == "ve")
      language = 'Spanish / Venezuela';
    else
      language = 'Spanish / Spain';
  }
  else if (bname.substr(0,2) == "et")
    language = 'Estonian';
  else if (bname.substr(0,2) == "eu")
    language = 'Basque';
  else if (bname.substr(0,2) == "fa")
    language = 'Farsi';
  else if (bname.substr(0,2) == "fi")
    language = 'Finnish';
  else if (bname.substr(0,2) == "fo")
    language = 'Faeroese';
  else if (bname.substr(0,2) == "fr") {
    if (bname.substr(3,2) == "be")
      language = 'French / Belgium';
    else if (bname.substr(3,2) == "ca")
      language = 'French / Canada';
    else if (bname.substr(3,2) == "ch")
      language = 'French / Switzerland';
    else if (bname.substr(3,2) == "ca")
      language = 'French / Luxembourg';
    else
      language = 'French / France';
  }
  else if (bname.substr(0,2) == "gd") {
    if (bname.substr(3,2) == "ie")
      language = 'Gaelic / Ireland';
    else
      language = 'Gaelic / Scotland';
  }
  else if (bname.substr(0,2) == "he")
    language = 'Hebrew';
  else if (bname.substr(0,2) == "hi")
    language = 'Hindi';
  else if (bname.substr(0,2) == "hr")
    language = 'Croatian';
  else if (bname.substr(0,2) == "hu")
    language = 'Hungarian';
  else if (bname.substr(0,2) == "in")
    language = 'Indonesian';
  else if (bname.substr(0,2) == "is")
    language = 'Icelandic';
  else if (bname.substr(0,2) == "he")
    language = 'Hebrew';
  else if (bname.substr(0,2) == "it") {
    if (bname.substr(3,2) == "ch")
      language = 'Italian / Switzerland';
    else
      language = 'Italian / Italy';
  }
  else if (bname.substr(0,2) == "ja")
    language = 'Japanese / Japan';
  else if (bname.substr(0,2) == "ji")
    language = 'Yiddish';
  else if (bname.substr(0,2) == "lt")
    language = 'Lithuanian / Lithuania';
  else if (bname.substr(0,2) == "lv")
    language = 'Latvian';
  else if (bname.substr(0,2) == "mk")
    language = 'Macedonian / Macedonia';
  else if (bname.substr(0,2) == "ms")
    language = 'Malaysian / Malaysia';
  else if (bname.substr(0,2) == "mt")
    language = 'Maltese / Malta';
  else if (bname.substr(0,2) == "nl") {
    if (bname.substr(3,2) == "be")
      language = 'Dutch / Belgium';
    else
      language = 'Dutch / Netherlands';
  }
  else if (bname.substr(0,2) == "pl")
    language = 'Polish / Poland';
  else if (bname.substr(0,2) == "pt") {
    if (bname.substr(3,2) == "br")
      language = 'Portuguese / Brazil';
    else
      language = 'Portuguese / Portugual';
  }
  else if (bname.substr(0,2) == "rm")
    language = 'Rhaeto-Romanic / Romania';
  else if (bname.substr(0,2) == "ro")
    language = 'Romanian / Romania';
  else if (bname.substr(0,2) == "ru")
    language = 'Russian / Russia';
  else if (bname.substr(0,2) == "sb")
    language = 'Sorbian';
  else if (bname.substr(0,2) == "sk")
    language = 'Slovak';
  else if (bname.substr(0,2) == "sl")
    language = 'Slovenian';
  else if (bname.substr(0,2) == "sq")
    language = 'Albanian / Albania';
  else if (bname.substr(0,2) == "sr")
    language = 'Serbian / Serbia';
  else if (bname.substr(0,2) == "sv") {
    if (bname.substr(3,2) == "fi")
      language = 'Swedish / Finland';
    else
      language = 'Swedish / Sweden';
  }
  else if (bname.substr(0,2) == "sx")
    language = 'Sutu';
  else if (bname.substr(0,2) == "sz")
    language = 'Sami';
  else if (bname.substr(0,2) == "th")
    language = 'Thai / Thailand';
  else if (bname.substr(0,2) == "tn")
    language = 'Tswana';
  else if (bname.substr(0,2) == "tr")
    language = 'Turkish / Turkey';
  else if (bname.substr(0,2) == "ts")
    language = 'Tsonga';
  else if (bname.substr(0,2) == "uk")
    language = 'Ukrainian';
  else if (bname.substr(0,2) == "th")
    language = 'Thai / Thailand';
  else if (bname.substr(0,2) == "ur")
    language = 'Urdu';
  else if (bname.substr(0,2) == "ve")
    language = 'Venda';
  else if (bname.substr(0,2) == "vi")
    language = 'Vietnamese / Vietnam';
  else if (bname.substr(0,2) == "xh")
    language = 'Xhosa';
  else if (bname.substr(0,2) == "zh") {
    if (bname.substr(3,2) == "cn")
      language = 'Chinese / China';
    else if (bname.substr(3,2) == "hk")
      language = 'Chinese / Hong Kong';
    else if (bname.substr(3,2) == "sg")
      language = 'Chinese / Singapore';
    else if (bname.substr(3,2) == "tw")
      language = 'Chinese / Taiwan';
    else
      language = 'Chinese / China';
  }
  else if (bname.substr(0,2) == "zu")
    language = 'Zulu';
  else
    language = 'Unknown/Other';

  return language;
}

//////////////////////////////////////////////////////////////////////////

cookie_init();

var userDate = new Date();
if (lastDate == null) lastDate = 0;

var docTitle = document.title;
docTitle = docTitle.replace (/[#%|*&^$@!]/g, '');
Referrer = Referrer.replace (/[#|*&^$@!]/g, '');

document.write('<img src="' + SCRIPT_URL + '/chweblog_isapi.dll?process'
                + '&rs=' + window.screen.width + ' X ' + window.screen.height
                + '&cd=' + window.screen.colorDepth
                + '&ln=' + language()
                + '&rf=' + Referrer
                + '&vc=' + get_cookie('chwlaz')
                + '&dt=' + docTitle
                + '&ut=' + userDate.getTime()
                + '&lv=' + lastDate
                + '&uq=' + uniqueUser
                + '" width="0" height="0">');
